﻿using System.Data.Services;

namespace SilverlightAstoriaQA.Web
{
    public class NWDataService : DataService<Entities>
    //public class WebDataService1 : DataService< /* TODO: put your data source class name here */ >
    {
        // This method is called only once to initialize service-wide policies.
        public static void InitializeService(IDataServiceConfiguration config)
        {
            // TODO: set rules to indicate which entity sets and service operations are visible, updatable, etc.
            // Examples:
            config.SetEntitySetAccessRule("ProductSet", EntitySetRights.All);
            config.SetEntitySetAccessRule("CategorySet", EntitySetRights.AllRead);
            config.SetEntitySetAccessRule("SupplierSet", EntitySetRights.AllRead);
            config.SetEntitySetAccessRule("OrderSet", EntitySetRights.AllRead);
            config.SetEntitySetAccessRule("OrderDetailSet", EntitySetRights.All);
            config.SetEntitySetAccessRule("CustomerSet", EntitySetRights.AllRead);
            /// The rest of the entity sets are not accessible. Therefore no proxy classes are created for them either.
            // config.SetServiceOperationAccessRule("MyServiceOperation", ServiceOperationRights.All);
        }
    }
}
